package com.sptg.video.cloud.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.sptg.common.core.beans.PageBean;
import com.sptg.video.cloud.api.beans.ApiResultBean;
import com.sptg.video.cloud.api.dto.VCAccountDto;
import com.sptg.video.cloud.api.dto.VCApiLogDto;
import com.sptg.video.cloud.api.entity.VCAccount;
import com.sptg.video.cloud.api.entity.VCApiLog;

import java.util.List;

/**
 * @author zwx
 * @create 2020/10/17 12:00
 */
public interface VCAccountServiceInterface extends IService<VCAccount> {

    ApiResultBean login(String account, String userPwd);

    /**
     * 功能描述:分页查询账号信息
     * @param pageBean 账号业务对象（含分页及查询条件）
     * @return ResultBean<Page<VCApiLog>>
     *
     *
     */
    Page<VCAccount> pagingQuery(PageBean<VCAccount, VCAccountDto> pageBean);

    VCAccount findAccountById(Long id);

    VCAccount findByAccountId(Long accountId);

    List<VCAccount> getList();
}
